Bug 40984

Summary: AddIcon, AddIconByType for OpenDocument format
Product: Apache httpd-2 Reporter: Lars Nooden <lars.nooden>
Component: Runtime ConfigAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: enhancement Keywords: MassUpdate
Priority: P2    
Version: 2.2-HEAD   
Target Milestone: ---   
Hardware: All   
OS: All   
URL: http://www.catnip.co.uk/opendocument/odf-master.xcf
Attachments: ODF mime type icons 20x22 for httpd

Description Lars Nooden 2006-11-16 01:42:16 UTC
Please add an icon or icons indicating files found in the OpenDocument format.

A sample image:
 http://www.catnip.co.uk/opendocument/graphics/odf5odt-16x16.png

One quick way would be to make one icon, or maybe two (one for documents, one
for templates).

Images and masks which might be useful in creating the icon(s):
 http://www.catnip.co.uk/opendocument/odf-master.xcf
 http://www.catnip.co.uk/opendocument/graphics/odf_master.svg
 http://www.catnip.co.uk/opendocument/graphics/odf_master_color.svg

Many applications now support OpenDocument fully or on the way to full support:
     http://opendocumentfellowship.org/applications
Distros like Ubuntu now include documents in that format.
The EU and many member states are now moving to using the format.


See also bug #37185 for 1.3.x
Comment 1 Pete Harlow 2006-11-18 00:43:15 UTC
Created attachment 19139 [details]
ODF mime type icons 20x22 for httpd

Here are some possible icons in 20x22. If you might want to use these mail me
and I will submit a CLA.
Comment 2 Pete Harlow 2006-12-13 04:24:52 UTC
CLA should now be on file.
Comment 3 Lars Nooden 2007-08-01 08:22:12 UTC
Is there anything needed beyond the CLA ?
Comment 4 Joshua Slive 2007-08-01 16:38:22 UTC
I don't think we really want to start supporting dozens of very-specific
document formats like this. This set of icons would almost double the number of
configuration lines needed to activate fancyindexing.
Comment 5 Lars Nooden 2007-09-11 04:49:17 UTC
It would be sufficient to have one icon for documents and another for document
templates.  

However, keep in mind that IANA recognizes the individual formats and that
Apache already acknowledges many others.
Comment 6 Joshua Slive 2007-09-13 13:24:40 UTC
I'd be fine with adding a couple icons. But we'd need a suggestion of exactly
what to add, and I think we also need gif format icons in addition to the pngs.
Comment 7 William A. Rowe Jr. 2018-11-07 21:09:43 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.